Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 229596

Summary: kernel build directory has broken links
Product: [Fedora] Fedora Reporter: Andy Cameron <andy.cameron634>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED NOTABUG QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: medium    
Version: rawhideCC: andy.cameron634, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-26 06:08:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andy Cameron 2007-02-21 22:25:59 UTC
Description of problem:

lib/module/2.6.19-1.2914.fc7/build directory has broken links. Also the source
directory


How reproducible:
All the time

Steps to Reproduce:
1. cd lib/module/2.6.19-1.2914.fc7/
2. directories build and source have type - link (broken)
3.
  
Actual results:
[root@localhost ndiswrapper-1.37]# make install
make -C driver install
make[1]: Entering directory `/home/ndiswrapper-1.37/driver'
Can't find kernel build files in /lib/modules/2.6.19-1.2914.fc7/build;
  give the path to kernel build directory with 
  KBUILD=<path> argument to make
make[1]: *** [prereq_check] Error 1
make[1]: Leaving directory `/home/ndiswrapper-1.37/driver'
make: *** [install] Error 2
[root@localhost ndiswrapper-1.37]# 

Expected results


Additional info:

Comment 1 Dave Jones 2007-02-26 06:08:15 UTC
you don't have kernel-devel installed.


Comment 2 Bill Nottingham 2007-03-02 17:46:40 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.